post
https://api.instantpay.in/contacts/payment/verify/verify
Instantpay's Verify Payment API helps businesses ensure their transactions are accurate and secure. This API validates payment details. It ensures transactions are legitimate and error-free. Integrating the Verify Payment API adds security for businesses. It reduces the risk of fraud.
The Verify Payment API is a reliable tool. It authenticates payment details for organisations that protect their financial operations. Use Instantpay's Verify Payment API to secure your payments. It will verify every transaction.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request Parameters
| Name | Type | Requirement | Description |
|---|---|---|---|
| gcId | String | Mandatory | Contact Id(You will get from Add Contact Response) |
| paymentId | String | Mandatory | Payment Unique Id |
| externalRef | String | Mandatory | Unique Transaction Id |
| latitude | String | Mandatory | Current Location Latitude |
| longitude | String | Mandatory | Current Location Longitude |
Sample Request
curl --location 'https://api.instantpay.in/contacts/payment/verify' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--data '{
"gcId" : "645b7f3ef38ef6dff80d3e72",
"paymentId" : "645b7f57c6860001c2077422",
"externalRef": "1234567",
"latitude": "27.897394",
"longitude": "78.088013"
}'POST /contacts/payment/verify HTTP/1.1
Host: api.instantpay.in
Content-Type: application/json
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
Content-Length: 182
{
"gcId" : "645b7f3ef38ef6dff80d3e72",
"paymentId" : "645b7f57c6860001c2077422",
"externalRef": "1234567",
"latitude": "27.897394",
"longitude": "78.088013"
}Response Parameters
| Name | Type | Description |
|---|---|---|
| statuscode | String | Instantpay status code |
| actcode | String | Action Code |
| status | String | Status Message |
| data | Array | Response data(if Present) |
| timestamp | String | Response time (YYYY-MM-DD HH:II:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id ( If transaction otherwise it is null ) |
| enviroment | String | Live/Sandbox |
Sample Response
{
"statuscode": "TXN",
"actcode": null,
"status": "Account Verfication Successful",
"data": {
"externalRef": "1234567",
"poolReferenceId": "1230510165657CBCGZ",
"txnValue": "1.00",
"txnReferenceId": "313016709903",
"pool": {
"account": "7428585742",
"openingBal": "73.33",
"mode": "DR",
"amount": "2.18",
"closingBal": "71.15"
},
"payer": {
"account": "7428585742",
"name": "Business Name"
},
"payee": {
"account": "7770007428585742",
"name": "Instantpay India limited"
},
"isCached": false
},
"timestamp": "2023-05-10 16:56:59",
"ipay_uuid": "h00599221d6d-ad4c-4e1a-8859-458c7e611720",
"orderid": "1230510165657CBCGZ",
"environment": "LIVE",
"internalCode": null
}
